"""
MIT License

Copyright (c) 2021 gunyu1019

Permission is hereby granted, free of charge, to any person obtaining a copy
of this software and associated documentation files (the "Software"), to deal
in the Software without restriction, including without limitation the rights
to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
copies of the Software, and to permit persons to whom the Software is
furnished to do so, subject to the following conditions:

The above copyright notice and this permission notice shall be included in all
copies or substantial portions of the Software.

THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE
SOFTWARE.
"""


class Location:
    """지역에 따른 교육청 고유번호에 대한 정보 값이 저장되어 있습니다.
        Attributes
        ----------
        Seoul : str
            서울특별시에 있는 교육청 고유 번호가 저장되어 있습니다.
        Busan : str
            부산광역시에 있는 교육청 고유 번호가 저장되어 있습니다.
        Daegu : str
            대구광역시에 있는 교육청 고유 번호가 저장되어 있습니다.
        Incheon : str
            인천광역시에 있는 교육청 고유 번호가 저장되어 있습니다.
        Gwangju : str
            광주광역시에 있는 교육청 고유 번호가 저장되어 있습니다.
        Daejeon : str
            대전광역시에 있는 교육청 고유 번호가 저장되어 있습니다.
        Ulsan : str
            울산광역시에 있는 교육청 고유 번호가 저장되어 있습니다.
        Sejong : str
            세종특별자치시에 있는 교육청 고유 번호가 저장되어 있습니다.
        Gyeonggi : str
            경기도에 있는 교육청 고유 번호가 저장되어 있습니다.
        Gangwon : str
            강원도에 있는 교육청 고유 번호가 저장되어 있습니다.
        Chungbuk : str
            충청북도에 있는 교육청 고유 번호가 저장되어 있습니다.
        Chungnam : str
            충청남도에 있는 교육청 고유 번호가 저장되어 있습니다.
        Jeolbuk : str
            전라북도에 있는 교육청 고유 번호가 저장되어 있습니다.
        Jeolnam : str
            전라남도에 있는 교육청 고유 번호가 저장되어 있습니다.
        Gyeongbuk : str
            경상북도에 있는 교육청 고유 번호가 저장되어 있습니다.
        Gyeongnam : str
            경상남도에 있는 교육청 고유 번호가 저장되어 있습니다.
        Jeju : str
            제주도에 있는 교육청 고유 번호가 저장되어 있습니다.
    """
    Seoul = "B10"
    Busan = "C10"
    Daegu = "D10"
    Incheon = "E10"
    Gwangju = "F10"
    Daejeon = "G10"
    Ulsan = "H10"
    Sejong = "I10"
    Gyeonggi = "J10"
    Gangwon = "K10"
    Chungbuk = "M10"
    Chungnam = "N10"
    Jeolbuk = "P10"
    Jeolnam = "Q10"
    Gyeongbuk = "R10"
    Gyeongnam = "S10"
    Jeju = "T10"
